﻿.flexlist {
    --flexlist-item_count: 3;
    --gridlist-column-min-size: calc(100%/var(--flexlist-item_count));
    --gridlist-column-gap: 1.4em;
    scroll-snap-type: x mandatory;
    overflow: auto;
    scroll-behavior: smooth;
    list-style-type: none;
    padding-left: 0;
    text-indent: 0
}

    .flexlist > li:before {
        content: "";
        display: none
    }

    .flexlist.smaller_block {
        font-size: .875rem
    }

    .flexlist > * {
        width: calc(var(--gridlist-column-min-size) - var(--gridlist-column-gap)*(var(--flexlist-item_count) - 1)/var(--flexlist-item_count));
        scroll-snap-align: center;
        display: inline-block;
        vertical-align: top;
        margin-right: var(--gridlist-column-gap)
    }

    .flexlist.no_scrollbar {
        -ms-overflow-style: none;
        scrollbar-width: none
    }

        .flexlist.no_scrollbar::-webkit-scrollbar {
            -webkit-appearance: none;
            width: 0;
            height: 0;
            display: none;
        }

    .flexlist + * {
        clear: both
    }

.flexlist_nav {
    text-align: center;
    padding: 40px 0;
    pointer-events: none;
}

    .flexlist_nav button {
        display: inline-flex;
        margin: 0 8px;
        padding: 0;
        align-items: center;
        justify-content: center;
        border: 0;
        border-radius: 50%;
        background-color: #24572d;
        color: #fff;
        width: 64px;
        height: 64px;
        pointer-events: all;
    }

@supports(display: flex) {
    .flexlist {
        display: flex;
        gap: var(--gridlist-column-gap);
    }

        .flexlist > * {
            display: unset;
            vertical-align: unset;
            margin-right: unset;
            flex-grow: 0;
            flex-shrink: 0
        }
}

.flexlist_nav button {
    opacity: 1;
    filter: saturate(100%);
    transition: opacity .25s,filter .25s
}

    .flexlist_nav button::before {
        width: 100%;
        height: 100%
    }

    .flexlist_nav button.back::before {
        content: url("//static.posazavi.com/images/arrow_left_white.svg")
    }

    .flexlist_nav button.forward::before {
        content: url("//static.posazavi.com/images/arrow_right_white.svg")
    }

    .flexlist_nav button.inactive {
        opacity: .4;
        filter: saturate(0%);
        cursor: default
    }

